declare @today datetime = getdate()
declare @userId uniqueidentifier
select @userId = systemuserid from EbsMetadata.SystemUser su where su.UserName = 'host'
declare @BUId uniqueidentifier
select @BUId = BusinessUnitId from EbsMetadata.BusinessUnit su where su.Name = 'root'
declare @entityStatusId uniqueidentifier
select @entityStatusId = entitystatusid from EbsMetadata.EntityStatus su where su.Name = 'Active'

insert into ebs.FTOS_BP_ProductAdminConfiguration (
FTOS_BP_ProductAdminConfigurationid,
	CreatedOn,
	ModifiedOn,
	UserId,
	CreatedByUserId,
	ModifiedByUserId,
	BusinessUnitId,
	EntityStatusId,
	BankingProductId,
	IsCloseAutomatic,
	IsCloseRealTime,
	BufferCloseDays,
	IsClosingFlexible
)
select 
	NEWID() as FTOS_BP_ProductAdminConfigurationId,
	@today as CreatedOn,
	@today as ModifiedOn,
	@userId as UserId,
	@userId as CreatedByUserId,
	@userId as ModifierByUserId,
	@BUId as BusinessUnitId,
	@entityStatusId as EntityStatusId,
	bp.FTOS_BP_BankingProductid as BankingProductId,
	cast(1 as bit) as IsCloseAutomatic,
	cast(0 as bit) as IsCloseRealTime,
	cast(0 as int) as BufferCloseDays,
	cast(0 as bit) as IsClosingFlexible
from ebs.FTOS_BP_BankingProduct bp
	left join ebs.FTOS_BP_ProductAdminConfiguration bac on bac.BankingProductId = bp.FTOS_BP_BankingProductid
where bp.IsLastVersion = 1 and bac.FTOS_BP_ProductAdminConfigurationid is null