declare @formName nvarchar(max), @formId uniqueidentifier, @domainId uniqueidentifier, @count numeric;
set @domainId = (select B2CFrontendDomainid from EbsMetadata.B2CFrontendDomain where Name = 'B2C');

declare forms_cursor cursor for 
select a.Name from EbsMetadata.ApplicationCI aci
join EbsMetadata.CustomAction a on aci.RecordId = a.customActionid
join EbsMetadata.Application ap on aci.ApplicationId = ap.applicationid
where ap.Code = 'BNPL-I';

open forms_cursor
fetch next from forms_cursor into @formName
while @@FETCH_STATUS = 0 
begin
	set @formId = (select customActionid from EbsMetadata.CustomAction where Name = @formName);
	set @count = (select count(*) from EbsMetadata.B2C_CustomForm where customActionid = @formId and B2CFrontendDomainid = @domainId);
	if @count = 0 and @formId is not null
		insert into EbsMetadata.B2C_CustomForm (B2C_CustomFormid, customActionid, B2CFrontendDomainid) values (NEWID(), @formId, @domainId);
	fetch next from forms_cursor into @formName
end
close forms_cursor
deallocate forms_cursor