declare @endpointName nvarchar(max), @actionId uniqueidentifier, @securityRoleId uniqueidentifier, @count numeric;
set @securityRoleId = (select securityroleid from EbsMetadata.SecurityRole where Name = 'B2C');

declare endpoints_cursor cursor for 
select a.Name from EbsMetadata.ApplicationCI aci
join EbsMetadata.Action a on aci.RecordId = a.actionid
join EbsMetadata.Application ap on aci.ApplicationId = ap.applicationid
where ap.Code = 'BNPL-SDK';

open endpoints_cursor
fetch next from endpoints_cursor into @endpointName
while @@FETCH_STATUS = 0 
begin
	set @actionId = (select actionid from EbsMetadata.Action where Name = @endpointName);
	set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
	if @count = 0 and @actionId is not null
		insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);
	fetch next from endpoints_cursor into @endpointName
end
close endpoints_cursor
deallocate endpoints_cursor